Portlet API (V0.7.1) : Interface PortletConfig

Package | Class | Tree | Deprecated | Index | Help
| Portlet API (V0.7.1)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.portlet
Interface PortletConfig

All Known Implementing Classes:
  GenericPortlet

public interface PortletConfig

The `PortletConfig` interface provides the portlet with its configuration. The configuration holds information about the portlet that is valid for all users. The configuration is maintained by the developer. The portlet can only read the configuration data.

The configuration information contains

the portlet name initialization parameters access to the `PortletContext` object access to the portlet `ResourceBundle`

See Also:
  `Portlet`

Method Summary
`java.lang.String` | `getInitParameter(java.lang.String name)` Returns a String containing the value of the named initialization parameter, or null if the parameter does not exist.
`java.util.Enumeration` | `getInitParameterNames()` Returns the names of the portlet initialization parameters as an `Enumeration` of String objects, or an empty `Enumeration` if the portlet has no initialization parameters.
`PortletContext` | `getPortletContext()` Returns a reference to the `PortletContext` in which the caller is executing.
`java.lang.String` | `getPortletName()` Returns the name of the portlet.
`java.util.ResourceBundle` | `getResourceBundle(java.util.Locale locale)` Gets the resource bundle for the given locale based on the resource bundle defined in the deployment descriptor with `resource-bundle` tag or the inlined resources defined in the deployment descriptor.

Method Detail

### getPortletName

    public java.lang.String getPortletName()

  Returns the name of the portlet. The portlet container needs the portlet name for administration purposes.

  The name may be provided via server administration, or is the name assigned in the deployment descriptor with the `portlet-name` tag.

  Returns:
    the portlet name

### getPortletContext

    public PortletContext getPortletContext()

  Returns a reference to the `PortletContext` in which the caller is executing.
  Returns:
    a `PortletContext` object, used by the caller to interact with its portlet container
  See Also:
    `PortletContext`

### getResourceBundle

    public java.util.ResourceBundle getResourceBundle(java.util.Locale locale)

  Gets the resource bundle for the given locale based on the resource bundle defined in the deployment descriptor with `resource-bundle` tag or the inlined resources defined in the deployment descriptor.

  If the resources are included inline the deployment descriptor, no localization support is provided by the portlet container. The defined values will be used for all Locales.

  Parameters:
    `locale` - the locale for which to retrieve the resource bundle
  Returns:
    the resource bundle for the given locale

### getInitParameter

    public java.lang.String getInitParameter(java.lang.String name)

  Returns a String containing the value of the named initialization parameter, or null if the parameter does not exist.
  Parameters:
    `name` - a `String` specifying the name of the initialization parameter
  Returns:
    a `String` containing the value of the initialization parameter
  Throws:
    `java.lang.IllegalArgumentException` - if name is `null`.

### getInitParameterNames

    public java.util.Enumeration getInitParameterNames()

  Returns the names of the portlet initialization parameters as an `Enumeration` of String objects, or an empty `Enumeration` if the portlet has no initialization parameters.
  Returns:
    an `Enumeration` of `String` objects containing the names of the portlet initialization parameters, or an empty `Enumeration` if the portlet has no initialization parameters.

Package | Class | Tree | Deprecated | Index | Help
| Portlet API (V0.7.1)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD